[OpenWrt-Devel] [PATCH] ath79: glinet_gl-ar750s: Use QCA9887 firmware

Petr Štetiar ynezz at true.cz
Fri May 3 03:19:17 PDT 2019


Jeff Kletsky <lede at allycomm.com> [2019-04-20 18:33:10]:

> This patch corrects the firmware selection for the ath79 AR750S
> 
> The ar71xx AR750S already uses the QCA9887 firmware.
> 
> $ fgrep -A 3 Device/gl-ar750s target/linux/ar71xx/image/generic.mk
> define Device/gl-ar750s
>   DEVICE_TITLE := GL.iNet GL-AR750S
>   DEVICE_PACKAGES := kmod-ath10k-ct ath10k-firmware-qca9887-ct kmod-usb-core \
> 	kmod-usb2 kmod-usb-storage
> 
> 
> Jeff
> 
> 
> 
> From cb6e411f8d172a8dde5ca7e075cef67994ac0062 Mon Sep 17 00:00:00 2001
> From: Jeff Kletsky <git-commits at allycomm.com>
> Date: Sun, 27 Jan 2019 20:17:16 -0800
> Subject: [PATCH] ath79: glinet_gl-ar750s: Use QCA9887 firmware
> 
> The GL.iNet AR750S is based around the QCA9563
> and uses the QCA9887 firmware for operation.
> 
> Signed-off-by: Jeff Kletsky <git-commits at allycomm.com>
> ---
>  target/linux/ath79/image/generic.mk | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/target/linux/ath79/image/generic.mk b/target/linux/ath79/image/generic.mk
> index 8588e7cdf6..8e162e1d0e 100644
> --- a/target/linux/ath79/image/generic.mk
> +++ b/target/linux/ath79/image/generic.mk
> @@ -363,7 +363,7 @@ TARGET_DEVICES += glinet_gl-ar300m-nor
>  define Device/glinet_gl-ar750s
>    ATH_SOC := qca9563
>    DEVICE_TITLE := GL.iNet GL-AR750S
> -  DEVICE_PACKAGES := kmod-usb2 kmod-ath10k-ct ath10k-firmware-qca988x-ct
> +  DEVICE_PACKAGES := kmod-usb2 kmod-ath10k-ct ath10k-firmware-qca9887-ct
>    IMAGE_SIZE := 16000k
>    SUPPORTED_DEVICES += gl-ar750s
>  endef
> -- 
> 2.11.0

something probably went wrong with this patch:

 ../maintainer-tools/patchwork-apply.sh 1088433
 Saved patch to OpenWrt-Devel-ath79-glinet_gl-ar750s-Use-QCA9887-firmware
 Patch is empty.  Was it split wrong?
 If you would prefer to skip this patch, instead run "git am --skip".
 To restore the original branch and stop patching run "git am --abort".
 Failed to apply patch 1088433

-- ynezz



More information about the openwrt-devel mailing list